<!-- app/views/quiz_questions/_form.html.erb -->

<%= form_for(quiz_question) do |f| %>

  <% (1..6).each do |i| %>
    <h4>Question <%= i %>:</h4>
    <div class="form-group">
      <%= f.text_area "item#{i}", class: "form-control", rows: 2, placeholder: "Question #{i} text" %>
    </div>

    <% (1..3).each do |j| %>
      <div class="form-check">
        <%= f.radio_button "correct#{i}", "answer#{i}_#{j}", id: "correct#{i}_#{j}" %>
        <%= f.text_field "answer#{i}_#{j}", class: "form-check-input", placeholder: "Answer choice #{j}" %>
        <label class="form-check-label" for="correct#{i}_#{j}">Correct?</label>
      </div>
    <% end %>
  <% end %>

  <div class="form-group">
    <%= f.submit "Create Quiz Question", class: "btn btn-primary" %>
  </div>
<% end %>
